package com.sun.xml.internal.ws.developer;

import com.sun.istack.internal.NotNull;
import com.sun.org.glassfish.gmbal.ManagedObjectManager;
import com.sun.xml.internal.ws.api.client.WSPortInfo;
import com.sun.xml.internal.ws.api.addressing.WSEndpointReference;
import com.sun.xml.internal.ws.api.message.Header;
import java.util.List;
import com.sun.xml.internal.ws.api.ComponentRegistry;
import java.io.Closeable;
import javax.xml.ws.BindingProvider;

public interface WSBindingProvider extends BindingProvider, Closeable, ComponentRegistry
{
    public abstract void setOutboundHeaders(List<Header> p0);
    
    public abstract void setOutboundHeaders(Header... p0);
    
    public abstract void setOutboundHeaders(Object... p0);
    
    public abstract List<Header> getInboundHeaders();
    
    public abstract void setAddress(String p0);
    
    public abstract WSEndpointReference getWSEndpointReference();
    
    public abstract WSPortInfo getPortInfo();
    
    @NotNull
    public abstract ManagedObjectManager getManagedObjectManager();
}
